Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class OdbcjetV4TableManager

    java.lang.Object
      org.makumba.db.makumba.Table
          org.makumba.db.makumba.sql.TableManager
              org.makumba.db.makumba.sql.OdbcjetTableManager
                  org.makumba.db.makumba.sql.OdbcjetV4TableManager

    public class OdbcjetV4TableManager

extends OdbcjetTableManager

Author:
  Bart TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Nested Class Summary

Nested classes/interfaces inherited from class org.makumba.db.makumba.sql.TableManager
`TableManager.CatalogChecker, TableManager.CheckingStrategy`

Field Summary
`(package private) static DateFormat` | `odbcDate`

Fields inherited from class org.makumba.db.makumba.sql.TableManager
`admin, alter, checkDuplicate, checkNullDuplicate, dbsv, exists_, extraIndexes, foreignKeys, handlerExist, handlerList, handlerListAutoIncrement, indexDBField, indexes, indexField, keyIndex, modTable, parsedForeignKeys, preparedDeleteFromIgnoreDbsvString, preparedDeleteFromString, preparedDeleteString, preparedInsertAutoIncrementString, preparedInsertString, primaryKeyCurrentIndex, tbname`

Fields inherited from class org.makumba.db.makumba.Table
`dd`

Constructor Summary
`OdbcjetV4TableManager()`

Method Summary
`String` | `writeConstant(String fieldName, Object o)` stupdid odbc needs a {ts 'date'} format when writing date constants

Methods inherited from class org.makumba.db.makumba.sql.OdbcjetTableManager
`create, get_text_Value, getFieldDBType, indexCreated, setArgument, setNullArgument, unmodified`

Methods inherited from class org.makumba.db.makumba.sql.TableManager
`alter, alter, base_getValue, base_inCreate, base_setInsertArgument, base_toSQLObject, base_unmodified, base_writeConstant, canAdmin, check_char_Width, check_char_Width, check_timeStamp_ValueImpl, checkCopy, checkDuplicate, checkDuplicate, checkInsert, checkStructure, checkUpdate, createDbSpecific, deleteFrom, deleteRecord, doAlter, exists, exists, fieldList, fillResult, fillResult, findDuplicates, findMultiFieldMultiTableDuplicates, foreignKeyCreateSyntax, get_binary_FieldDBType, get_binary_SQLType, get_binary_Value, get_boolean_FieldDBType, get_boolean_SQLType, get_boolean_Value, get_char_FieldDBType, get_char_SQLType, get_char_Value, get_dateTime_FieldDBType, get_dateTime_SQLType, get_dateTime_Value, get_int_FieldDBType, get_int_SQLType, get_int_Value, get_nil_Value, get_ptrDB_FieldDBType, get_ptrDB_SQLType, get_ptrDB_Value, get_real_FieldDBType, get_real_SQLType, get_text_FieldDBType, get_timeStamp_FieldDBType, get_timeStamp_SQLType, get_timeStamp_Value, getColumnAlterKeyword, getDBName, getEngineProperty, getFieldDBIndexName, getFieldDBName, getFieldDBType, getSQLDatabase, getSQLType, getTableMissingStateName, getValue, getValue, hasForeignKey, in_boolean_Create, in_char_Create, inCondition, inCreate, indexCreateSyntax, indexCreateUniqueSyntax, indexCreateUniqueSyntax, indexDropSyntax, initFields, inPreparedInsert, inPreparedUpdate, insertRecordImpl, isIndexOk, isIndexOk, makeKeyIndex, manageForeignKeys, manageIndexes, nextId_ptrIndex, nxt_ptrIndex, nxt, onStartup, open, prepareDelete, prepareInsert, resetPrimaryKey, set_binary_Argument, set_text_Argument, set_timeStamp_InsertArgument, setCopyArgument, setInsertArgument, setTableAndFieldNames, setUpdateArgument, setUpdateArgument, setValue, setValue, should_text_Index, shouldIndex, toSQL_dateTime_Object, toSQL_ptrDB_Object, toSQLObject, unmodified_char, unmodified_wrapper, updateRecord, usesHidden, write_binary_Constant, write_boolean_Constant, write_char_Constant, write_dateTime_Constant, write_text_Constant, write_timeStamp_Constant`

Methods inherited from class org.makumba.db.makumba.Table
`getDatabase, getDataDefinition, getFieldDefinition, getRelatedTable, insertRecord, setDataDefinition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### odbcDate

    static DateFormat odbcDate

Constructor Detail

### OdbcjetV4TableManager

    public OdbcjetV4TableManager()

Method Detail

### writeConstant

    public String writeConstant(String fieldName,
                                Object o)

  Description copied from class: `OdbcjetTableManager`
  stupdid odbc needs a {ts 'date'} format when writing date constants

  Overrides:
    `writeConstant` in class `OdbcjetTableManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20